Skip to main content

Create an APIKey for a Sub-account

HTTP Request

  • POST /api/v3/broker/sub-account/apiKey

Required Permission: SPOT_ACCOUNT_WRITE

Query Parameter

NameTypeMandatoryDescription
timestampstringyestimestamp
signaturestringyessignature

Body Request Parameter

NameTypeMandatoryDescription
subAccountstringyessubAccount name
permissionsstringyespermissions
ipstringnoLink IP addresses, separate with commas if more than one. Support up to 4 addresses.
notestringyesnote

Response Parameters

NameTypeDescription
subAccountstringsubAccount name
notestringAPIKey note
apiKeystringapiKey
secretKeystringsecretKey
permissionsstringAPIKey permissions
ipstringAPIKey IP address
createTimenumbercreateTime

Response

{
"subAccount": "4Eb8rPPhpsAL",
"permissions": "SPOT_ACCOUNT_READ,SPOT_ACCOUNT_WRITE",
"note": "note2",
"apiKey": "mx0npKfh57kEEVmyLa",
"secretKey": "51f38875ebe0475dad6236783a95cc19",
"createTime": 1646291300120
}